Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.xml
[Java] Class DomToGroovy

    java.lang.Object
      org.codehaus.groovy.tools.xml.DomToGroovy

    public class DomToGroovy
    extends Object

A SAX handler for turning XML into Groovy scripts

Authors:
  James Strachan
  paulk

Field Summary
`protected boolean` | `inMixed`
`protected Collection` | `keywords`
`protected IndentPrinter` | `out`
`protected String` | `qt`

Constructor Summary
`DomToGroovy(PrintWriter out)`
`DomToGroovy(IndentPrinter out)`

Method Summary
`protected boolean` | `checkEscaping(String localName)`
`protected void` | `defineNamespace(Map namespaces, String prefix, String uri)`
`protected Map` | `defineNamespaces(org.w3c.dom.Element element, Map namespaces)`
`protected String` | `escapeQuote(String text)`
`protected String` | `getAttributeValue(org.w3c.dom.Attr attribute)`
`protected String` | `getLocalName(Node node)`
`protected String` | `getTextNodeData(org.w3c.dom.Text node)`
`static void` | `main(String[] args)`
`protected boolean` | `mixedContent(NodeList list)`
`protected static org.w3c.dom.Document` | `parse(String fileName)`
`static org.w3c.dom.Document` | `parse(File file)`
`static org.w3c.dom.Document` | `parse(Reader input)`
`static org.w3c.dom.Document` | `parse(InputStream input)`
`void` | `print(org.w3c.dom.Document document)`
`protected void` | `print(Node node, Map namespaces, boolean endWithComma)`
`protected void` | `print(String text)`
`protected void` | `printAttributeWithPrefix(org.w3c.dom.Attr attribute, StringBuffer buffer)`
`protected boolean` | `printAttributeWithoutPrefix(org.w3c.dom.Attr attribute, boolean hasAttribute)`
`protected boolean` | `printAttributes(org.w3c.dom.Element element)`
`protected void` | `printChildren(Node parent, Map namespaces)`
`protected void` | `printComment(org.w3c.dom.Comment comment, boolean endWithComma)`
`protected void` | `printElement(org.w3c.dom.Element element, Map namespaces, boolean endWithComma)`
`protected void` | `printEnd(String text, boolean endWithComma)`
`protected void` | `printIndent()`
`protected void` | `printPI(org.w3c.dom.ProcessingInstruction instruction, boolean endWithComma)`
`protected void` | `printQuoted(String text)`
`protected void` | `printText(org.w3c.dom.Text node, boolean endWithComma)`
`protected void` | `println(String text)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### inMixed

    protected boolean inMixed

### keywords

    protected Collection keywords

### out

    protected IndentPrinter out

### qt

    protected String qt

Constructor Detail

### DomToGroovy

    public DomToGroovy(PrintWriter out)

### DomToGroovy

    public DomToGroovy(IndentPrinter out)

Method Detail

### checkEscaping

    protected boolean checkEscaping(String localName)

### defineNamespace

    protected void defineNamespace(Map namespaces, String prefix, String uri)

### defineNamespaces

    protected Map defineNamespaces(org.w3c.dom.Element element, Map namespaces)

### escapeQuote

    protected String escapeQuote(String text)

### getAttributeValue

    protected String getAttributeValue(org.w3c.dom.Attr attribute)

### getLocalName

    protected String getLocalName(Node node)

### getTextNodeData

    protected String getTextNodeData(org.w3c.dom.Text node)

### main

    public static void main(String[] args)

### mixedContent

    protected boolean mixedContent(NodeList list)

### parse

    protected static org.w3c.dom.Document parse(String fileName)

### parse

    public static org.w3c.dom.Document parse(File file)

### parse

    public static org.w3c.dom.Document parse(Reader input)

### parse

    public static org.w3c.dom.Document parse(InputStream input)

### print

    public void print(org.w3c.dom.Document document)

### print

    protected void print(Node node, Map namespaces, boolean endWithComma)

### print

    protected void print(String text)

### printAttributeWithPrefix

    protected void printAttributeWithPrefix(org.w3c.dom.Attr attribute, StringBuffer buffer)

### printAttributeWithoutPrefix

    protected boolean printAttributeWithoutPrefix(org.w3c.dom.Attr attribute, boolean hasAttribute)

### printAttributes

    protected boolean printAttributes(org.w3c.dom.Element element)

### printChildren

    protected void printChildren(Node parent, Map namespaces)

### printComment

    protected void printComment(org.w3c.dom.Comment comment, boolean endWithComma)

### printElement

    protected void printElement(org.w3c.dom.Element element, Map namespaces, boolean endWithComma)

### printEnd

    protected void printEnd(String text, boolean endWithComma)

### printIndent

    protected void printIndent()

### printPI

    protected void printPI(org.w3c.dom.ProcessingInstruction instruction, boolean endWithComma)

### printQuoted

    protected void printQuoted(String text)

### printText

    protected void printText(org.w3c.dom.Text node, boolean endWithComma)

### println

    protected void println(String text)

Copyright © 2003-2010 The Codehaus. All rights reserved.